package com.cooleshow.teacher.adapter;

import android.widget.TextView;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.viewholder.BaseViewHolder;
import com.cooleshow.teacher.R;
import com.cooleshow.teacher.bean.TeachableInstrumentBean;

import java.util.List;

/**
 * 创建日期：2022/5/16 14:44
 *
 * @author Ryan
 * 类说明：
 */
public class TeachableSelectAdapter extends BaseQuickAdapter<TeachableInstrumentBean, BaseViewHolder> {

    public TeachableSelectAdapter(List<TeachableInstrumentBean> data) {
        super(R.layout.layout_teachable_instrument_select, data);
    }


    @Override
    protected void convert(BaseViewHolder helper, TeachableInstrumentBean item) {
        if(item == null){
            return;
        }
        TextView tv_name=helper.getView(R.id.tv_name);
        tv_name.setText(item.name);
    }
}
